import { GenericService } from '../GenericService'

class FAQSService extends GenericService {
    constructor() {
        super('/api/customers')
    }

    addFAQ = (data) => this.post('/api/faqs/addFAQ', data)

    editFAQ = (id, data) => this.post('/api/faqs/editFAQ/' + id, data)

    getSingle = (id) => this.get('/api/faqs/getSingle/' + id)

    deleteFAQ = (id) => this.delete('/api/faqs/deleteFAQ/' + id)

    query = (query) => this.post('/api/faqs/query', { query })
    getAllFAQS = () => this.get('/api/faqs/getAllFAQS')
}

export default new FAQSService()
